> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Checkpoint

> Get details of a specific checkpoint.



## OpenAPI

````yaml /sprites/api/openapi.json get /v1/sprites/{name}/checkpoints/{checkpoint_id}
openapi: 3.1.0
info:
  title: Sprites API
  version: 0.1.12
  x-sprite-env-version: v0.0.1-rc48
servers:
  - url: https://api.sprites.dev
security: []
paths:
  /v1/sprites/{name}/checkpoints/{checkpoint_id}:
    get:
      tags:
        - Checkpoints
      summary: Get Checkpoint
      description: Get details of a specific checkpoint.
      operationId: sprite_env_get__checkpoint
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
        - in: path
          name: checkpoint_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                comment: Before database migration
                create_time: '2026-01-05T10:30:00Z'
                id: v7
              schema:
                $ref: '#/components/schemas/CheckpointInfo'
          description: Success
        '404':
          description: Not Found - Resource not found
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    CheckpointInfo:
      example:
        comment: Before database migration
        create_time: '2026-01-05T10:30:00Z'
        id: v7
      properties:
        comment:
          description: User-provided description
          type: string
        create_time:
          description: When the checkpoint was created
          format: date-time
          type: string
        health:
          description: Health status (empty = healthy, "mount_failed" = unhealthy)
          type: string
        id:
          description: Checkpoint identifier (e.g., `v7`)
          type: string
        source_id:
          description: Parent checkpoint ID
          type: string
      required:
        - id
        - create_time
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````